%define oname cryptacular
Name: python-module-%oname
Version: 1.0
Release: alt2
Summary: A password hashing framework with bcrypt and pbkdf2
License: MIT
Group: Development/Python
Url: http://pypi.python.org/pypi/cryptacular/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar

BuildPreReq: python-devel python-module-distribute

%description
cryptacular is a collection of strong password hashing functions that
share a common interface, and a nice way to use bcrypt as a password
hash. It's designed to make it easy for you to migrate away from your
half-assed custom password scheme. Compared with popular choices like
plain text or single rounds of md5 or sha, strong password hashes
greatly increase the computational cost of obtaining users' passwords
from a leaked password database.

cryptacular's interface was inspired by zope.password but cryptacular
does not depend on zope and implements much stronger algorithms.
cryptacular also provides a convenient way to recognize and upgrade
obsolete password hashes on the fly when users log in with their correct
password.

%prep
%setup

%build
%python_build

%install
%python_install

touch %buildroot%python_sitelibdir/%oname/__init__.py

%files
%doc *.txt
%python_sitelibdir/*
%exclude %python_sitelibdir/*.pth

%changelog
* Wed Jun 22 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0-alt2
- Excluded *.pth

* Sat May 28 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0-alt1
- Initial build for Sisyphus

